-- BUFGCTRL: Global Clock Control Buffer
--           7 Series
-- Xilinx HDL Language Template, version 2024.2

BUFGCTRL_inst : BUFGCTRL
generic map (
   INIT_OUT => 0,         -- Initial value of BUFGCTRL output ($VALUES;)
   PRESELECT_I0 => FALSE, -- BUFGCTRL output uses I0 input ($VALUES;)
   PRESELECT_I1 => FALSE  -- BUFGCTRL output uses I1 input ($VALUES;)
)
port map (
   O => O,             -- 1-bit output: Clock output
   CE0 => CE0,         -- 1-bit input: Clock enable input for I0
   CE1 => CE1,         -- 1-bit input: Clock enable input for I1
   I0 => I0,           -- 1-bit input: Primary clock
   I1 => I1,           -- 1-bit input: Secondary clock
   IGNORE0 => IGNORE0, -- 1-bit input: Clock ignore input for I0
   IGNORE1 => IGNORE1, -- 1-bit input: Clock ignore input for I1
   S0 => S0,           -- 1-bit input: Clock select for I0
   S1 => S1            -- 1-bit input: Clock select for I1
);

-- End of BUFGCTRL_inst instantiation
